=== debian/changelog ===
unzip (6.0-9ubuntu1.5) trusty-security; urgency=medium

  * debian/patches/16-fix-integer-underflow-csiz-decrypted: updated to fix
    regression in handling 0-byte files (LP: #1513293)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Nov 2015 09:16:57 -0600

unzip (6.0-9ubuntu1.4) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    heap overflow
    - debian/patches/14-cve-2015-7696: add check to crypt.c.
    - CVE-2015-7696
  * SECURITY UPDATE: infinite loop when extracting empty bzip2 data
    - debian/patches/15-cve-2015-7697: check for empty input in extract.c.
    - CVE-2015-7697
  * SECURITY UPDATE: unsigned overflow on invalid input
    - debian/patches/16-fix-integer-underflow-csiz-decrypted: make sure
      csiz_decrypted doesn't overflow in extract.c.
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 29 Oct 2015 10:33:05 -0400

unzip (6.0-9ubuntu1.3) trusty-security; urgency=medium

  * SECURITY UPDATE: heap overflow in charset_to_intern()
    - debian/patches/06-unzip60-alt-iconv-utf8: updated to fix buffer
      overflow in unix/unix.c.
    - CVE-2015-1315
  * SECURITY REGRESSION: regression with executable jar files
    - debian/patches/09-cve-2014-8139-crc-overflow: updated to fix
      regression.
  * SECURITY REGRESSION: regression with certain compressed data headers
    - debian/patches/12-cve-2014-9636-test-compr-eb: updated to fix
      regression.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 17 Feb 2015 14:17:20 -0500

unzip (6.0-9ubuntu1.2) trusty-security; urgency=medium

  * SECURITY UPDATE: heap overflow via mismatched block sizes
    - debian/patches/12-cve-2014-9636-test-compr-eb: ensure compressed and
      uncompressed block sizes match when using STORED method in extract.c.
    - CVE-2014-9636

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 29 Jan 2015 11:37:34 -0500

unzip (6.0-9ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: CRC32 verification heap-based overflow
    - debian/patches/09-cve-2014-8139-crc-overflow: check extra block
      length in extract.c.
    - CVE-2014-8139
  * SECURITY UPDATE: out-of-bounds write issue in test_compr_eb()
    - debian/patches/10-cve-2014-8140-test-compr-eb: properly validate
      sizes in extract.c.
    - CVE-2014-8140
  * SECURITY UPDATE: out-of-bounds read issues in getZip64Data()
    - debian/patches/11-cve-2014-8141-getzip64data: validate extra fields
      in fileio.c, check sizes in process.c.
    - CVE-2014-8141

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 07 Jan 2015 16:14:02 -0500

unzip (6.0-9ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add patch from archlinux which adds the -O option, allowing a charset
      to be specified for the proper unzipping of non-Latin and non-Unicode
      filenames.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 May 2013 13:00:12 +0100

unzip (6.0-9) unstable; urgency=low

  * Added NO_WORKING_ISPRINT to DEFINES so that UTF8 filenames are
    displayed correctly. Reported by Slavek Banko. Closes: #682682.
  * Use the right strip command when cross-building. Closes: #695141.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Feb 2013 17:12:00 +0100

unzip (6.0-8ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add patch from archlinux which adds the -O option, allowing a charset
      to be specified for the proper unzipping of non-Latin and non-Unicode
      filenames.
    - Use correct strip program when cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Dec 2012 16:08:03 +0000

unzip (6.0-8) unstable; urgency=low

  * Made unzip -X to actually restore uid/gid information.
    Closes: #689212. Thanks to Axel Scheepers for the report.
  * Disabled memcpy, as it is being used on overlapping buffers,
    leading to data corruption. Closes: #694601.
    Thanks to M Joonas Pihlaja for the report.

 -- Santiago Vila <sanvila@debian.org>  Wed, 28 Nov 2012 12:41:34 +0100

unzip (6.0-7ubuntu2) raring; urgency=low

  * Use correct strip program when cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Dec 2012 15:15:23 +0000

unzip (6.0-7ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining change:
    - Added patch from archlinux which adds the -O option allowing a charset
    to be specified for the proper unzipping of non-latin and non-unicode
    filenames.
  * Merge adds Multi-Arch: foreign. (LP: #1010450)

 -- Logan Rosen <logatronico@gmail.com>  Sun, 05 Aug 2012 21:31:45 -0400

unzip (6.0-7) unstable; urgency=low

  * Added Multi-Arch: foreign. Closes: #678812.

 -- Santiago Vila <sanvila@debian.org>  Sat, 30 Jun 2012 14:17:42 +0200

unzip (6.0-6) unstable; urgency=low

  * Added hardening flags. Closes: #656268.

 -- Santiago Vila <sanvila@debian.org>  Sun, 01 Apr 2012 00:01:40 +0200

unzip (6.0-5) unstable; urgency=low

  * Handle the PKWare verification bit of internal attributes.
    Patch taken from 6.10 beta. Thanks to sms. Closes: #630078.

 -- Santiago Vila <sanvila@debian.org>  Fri, 01 Jul 2011 19:06:08 +0200

unzip (6.0-4ubuntu1) natty; urgency=low

  * Added patch from archlinux which adds the -O option allowing a charset
    to be specified for the proper unzipping of non-latin and non-unicode
    filenames. (LP: #580961)

 -- Brian Thomason <brian.thomason@canonical.com>  Wed, 12 Jan 2011 20:08:14 -0500

unzip (6.0-4) unstable; urgency=low

  * Added homepage field to control file.
  * Switch to 3.0 (quilt) source format.
  * Support cross-build.

 -- Santiago Vila <sanvila@debian.org>  Sun, 21 Feb 2010 17:01:00 +0100

unzip (6.0-3) unstable; urgency=low

  * Added "set -e" to postinst and postrm.

 -- Santiago Vila <sanvila@debian.org>  Tue, 09 Feb 2010 23:53:42 +0100

unzip (6.0-2) unstable; urgency=low

  * Do not ignore errors from make clean (lintian warning)

