## unzip 6.0-1maemo1

=== debian/changelog ===
unzip (6.0-1maemo1) unstable; urgency=low

  * Using debian/optify to store the files in /opt.
  * Removing man and some documentation from the package.

 --  Daniel Martin Yerga <dyerga@gmail.com>  Sat, 02 Jan 2010 20:02:40 +0100
