## unzip 6.0-2~5.52~ja2

=== debian/changelog ===
unzip (6.0-2~5.52~ja2) karmic; urgency=low

  * Rename source archive.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Wed, 28 Oct 2009 04:52:40 +0900

unzip (6.0-2~5.52~ja1) karmic; urgency=low

  * Rebuild for Karmic.
  * set version number to higher than official unzip version(6.0-1).

 -- Jun Kobayashi <jkbys@ubuntu.com>  Wed, 28 Oct 2009 04:32:46 +0900

unzip (5.52-12ubuntu2~ja1) jaunty; urgency=low
  
  * paches/01_japanese_charset.dpatch
   - patch for Japanese filename and password.

 -- Hajime Mizuno <mizuno@as.airnet.ne.jp>  Wed, 15 Apr 2009 18:32:57 +0900

unzip (5.52-12ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: Configure with large file support.
    - unzip.c: Change banner to indicate Ubuntu modification.
    - support UTF-8 file names.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 12 Nov 2008 16:51:21 +0100

unzip (5.52-11ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - debian/rules: Configure with large file support.
    - unzip.c: Change banner to indicate Ubuntu modification.
    - support UTF-8 file names.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Jun 2008 15:57:03 +0000

unzip (5.52-10ubuntu2) hardy; urgency=low

  * SECURITY UPDATE: arbitrary code execution via heap corruption.
  * inflate.c: fix invalid free() calls, patch from Tavis Ormandy.
  * References
    CVE-2008-0888

 -- Kees Cook <kees@ubuntu.com>  Wed, 19 Mar 2008 12:08:30 -0700

unzip (5.52-10ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:
    - debian/rules: Configure with large file support.
    - unzip.c: Change banner to indicate Ubuntu modification.
    - support UTF-8 file names.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2007 10:03:01 +0000

unzip (5.52-9ubuntu3) feisty; urgency=low

  * Apply patch from https://bugzilla.altlinux.org/long_list.cgi?buglist=4871
    to support UTF-8 file names. Ubuntu #10979.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Mar 2007 13:10:40 +0200

unzip (5.52-9ubuntu2) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:27:17 +0000

unzip (5.52-9ubuntu1) feisty; urgency=low

  * Merge from debian unstable.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 22 Nov 2006 12:10:13 +0100

unzip (5.52-8ubuntu1) edgy; urgency=low

  * Merge from debian unstable; only Ubuntu changes left:
    - debian/rules: Configure with large file support.
    - unzip.c: Change banner to indicate Ubuntu modification.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Jun 2006 11:28:40 +0200

unzip (5.52-6ubuntu4) dapper; urgency=low

  * const.h, process.c: Limit the maximum length of displayed file names to
    512 bytes, to avoid spewage with excessively long file names (which caused
    buffer overflows until the recent security fix for CVE-2005-4667).
  * Thanks to Santiago Vila for pointing this out.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 23 Mar 2006 13:00:08 +0100

unzip (5.52-6ubuntu3) dapper; urgency=low

  * Previous security update scrambled the output fields in the contents
    listing, fix that regression.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Feb 2006 12:11:47 +0100

unzip (5.52-6ubuntu2) dapper; urgency=low

  * SECURITY UPDATE: Arbitrary code execution on specially crafted long file
    names (which should not happen in many scenarios, though).
  * unzpriv.h, Info macro: 
    - Use snprintf() instead of sprintf() as inner formatting function.
    - Use fputs() instead of fprintf() as outer function to ignore leftover
      format strings which might not have been substituted in the inner
      snprintf().
    - Throw away the three different implementations of that macro and use
      just one safe one.
    - CVE-2005-4667

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Feb 2006 20:14:01 +0100

unzip (5.52-6ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Dec 2005 11:02:39 +0100

unzip (5.52-5ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Repaired totally scrambled changelog.
  * unzip.c: Change Debian banner to 'Ubuntu', as advised by the Debian
    maintainer.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 21 Nov 2005 20:38:41 +0100

unzip (5.52-4ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Nov 2005 13:16:29 +0100

unzip (5.52-3ubuntu2) breezy; urgency=low

  * SECURITY UPDATE: Fix file permission modification race.
  * unix/unix.c: Use fchmod() instead of chmod() to change permissions on the
    files unzip actually created, not the files another attacker might have
    hardlinked to in the meantime.
  * CAN-2005-2475

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 29 Sep 2005 17:02:50 +0200

unzip (5.52-3ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Jun 2005 15:46:02 +0200

unzip (5.51-2ubuntu1) hoary; urgency=low

  * Fixed unzip of >2GB files, thanks to patch from ard at kwaak.net 

 -- Thom May <thom@ubuntu.com>  Mon, 28 Feb 2005 15:25:52 +0000
