## unzip 6.0-2~5.52~ja4

=== debian/changelog ===
unzip (6.0-2~5.52~ja4) lucid; urgency=low

  * No-change rebuild.

 -- Hajime Mizuno <hajime.mizuno@gmail.com>  Fri, 14 May 2010 16:27:04 +0900

unzip (6.0-2~5.52~ja4~ppa1) lucid; urgency=low

  * fix patchs/01_japanese_charset.dpatch for lucid

 -- Fumihito YOSHIDA <hito@kugutsu.org>  Wed, 12 May 2010 00:13:00 +0900

unzip (6.0-2~5.52~ja3) lucid; urgency=low

  * Rebuild for Lucid.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Sat, 10 Apr 2010 02:09:54 +0900
