## unzip 6.0-5~5.52~ja1

=== debian/changelog ===
unzip (6.0-5~5.52~ja1) maverick; urgency=low

  * change version number.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Tue, 05 Oct 2010 03:37:40 +0900

unzip (6.0-4~5.52~ja1) maverick; urgency=low

  * change version number.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Mon, 04 Oct 2010 03:43:53 +0900

unzip (6.0-2~5.52~ja5) maverick; urgency=low

  * Rebuild for Maverick.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Mon, 04 Oct 2010 03:12:43 +0900
