## unzip 6.0-5~5.52~ja2

=== debian/changelog ===
unzip (6.0-5~5.52~ja2) natty; urgency=low

  * Rebuild for Natty.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Sat, 16 Apr 2011 00:49:03 +0900
