## unzip 6.0-5~5.52~ja3

=== debian/changelog ===
unzip (6.0-5~5.52~ja3) oneiric; urgency=low

  * Rebuild for Oneiric.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Fri, 30 Sep 2011 17:56:11 +0900
