## unzip 6.0-5~5.52~ja4

=== debian/changelog ===
unzip (6.0-5~5.52~ja4) precise; urgency=low

  * Rebuild for Precise.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Tue, 17 Apr 2012 01:13:51 +0900
