## unzip 6.0-8~5.52~ja1

=== debian/changelog ===
unzip (6.0-8~5.52~ja1) quantal; urgency=low

  * Rebuild for Quantal.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Wed, 03 Oct 2012 19:22:31 +0900
