## unzip 6.0-9~5.52~ja1

=== debian/changelog ===
unzip (6.0-9~5.52~ja1) raring; urgency=low

  * Rebuild for Raring.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Fri, 26 Apr 2013 14:12:01 +0900
