## unzip 6.0-10~5.52~ja1

=== debian/changelog ===
unzip (6.0-10~5.52~ja1) saucy; urgency=low

  * Rebuild for Saucy.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Sat, 12 Oct 2013 14:17:39 +0900
