## unzip 6.0-10~5.52~ja2

=== debian/changelog ===
unzip (6.0-10~5.52~ja2) trusty; urgency=medium

  * Rebuild for Trusty.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Fri, 18 Apr 2014 07:47:55 +0900
