## unzip 6.0-13~5.52~ja1

=== debian/changelog ===
unzip (6.0-13~5.52~ja1) utopic; urgency=medium

  * version up

 -- Jun Kobayashi <jkbys@ubuntu.com>  Sun, 26 Oct 2014 00:17:22 +0900

unzip (6.0-10~5.52~ja4) utopic; urgency=medium

  * Rebuild for Utopc.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Sat, 25 Oct 2014 23:51:04 +0900
