=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: unzip
 Section: utils
 Priority: optional
-Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: libbz2-dev, maemo-optify
+Build-Depends: dpatch
 
 Package: unzip
 Architecture: any
