=== debian/control ===
Source: unzip
Section: utils
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libbz2-dev
Homepage: http://www.info-zip.org/UnZip.html

Package: unzip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: zip
Multi-Arch: foreign
Description: De-archiver for .zip files
 InfoZIP's unzip program. With the exception of multi-volume archives
 (ie, .ZIP files that are split across several disks using PKZIP's /& option),
 this can handle any file produced either by PKZIP, or the corresponding
 InfoZIP zip program.
 .
 This version supports encryption.
