## unzip 6.0-25ubuntu1.1+10.0trisquel1

=== debian/changelog ===
unzip (6.0-25ubuntu1.1+10.0trisquel1) nabia-security; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 13 Oct 2022 12:51:45 +0000

unzip (6.0-25ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: Null pointer dereference in unzip (LP: #1957077)
    - debian/patches/CVE-2021-4217.patch: Fix null pointer dereference and use
      of uninitialized data
    - CVE-2021-4217
  * SECURITY UPDATE: Out-of-bound write vulnerability in unzip
    - debian/patches/CVE-2022-0529.patch: Fix wide string conversion in
      process.c
    - debian/patches/CVE-2022-0530.patch: Add missing error handling in
      fileio.c and process.c
    - CVE-2022-0529
    - CVE-2022-0530

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 07 Oct 2022 22:39:47 +0530
