=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), libbz2-dev
 Homepage: http://www.info-zip.org/UnZip.html
+Rules-Requires-Root: no
 
 Package: unzip
 Architecture: any
