## unzip 6.0-26ubuntu3.1+11.0trisquel1

=== debian/changelog ===
unzip (6.0-26ubuntu3.1+11.0trisquel1) aramo-security; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 14 Oct 2022 12:38:51 +0000

unzip (6.0-26ubuntu3.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Null pointer dereference in unzip (LP: #1957077)
    - debian/patches/CVE-2021-4217.patch: Fix null pointer dereference and use
      of uninitialized data
    - CVE-2021-4217
  * SECURITY UPDATE: Out-of-bound write vulnerability in unzip
    - debian/patches/CVE-2022-0529.patch: Fix wide string conversion in
      process.c
    - debian/patches/CVE-2022-0530.patch: Add missing error handling in
      fileio.c and process.c
    - CVE-2022-0529
    - CVE-2022-0530

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 07 Oct 2022 22:51:05 +0530

unzip (6.0-26ubuntu3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:59:33 +0100

unzip (6.0-26ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:25:55 +0200

unzip (6.0-26ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add patch from archlinux which adds the -O option, allowing a charset
      to be specified for the proper unzipping of non-Latin and non-Unicode
      filenames.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Jan 2021 12:10:20 -0800

unzip (6.0-26) unstable; urgency=medium

  * Two more patches from Mark Adler for CVE-2019-13232. Closes: #963996.
  - Fix bug in UZbunzip2() that incorrectly updated G.incnt.
  - Fix bug in UZinflate() that incorrectly updated G.incnt.
  * Avoid weird zipgrep errors when no members are present.
    Thanks to Kevin Locke. Closes: #972233.
  * Update dependency on debhelper.

 -- Santiago Vila <sanvila@debian.org>  Sun, 10 Jan 2021 15:34:00 +0100
