=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), libbz2-dev
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), libbz2-dev
 Homepage: http://www.info-zip.org/UnZip.html
 Rules-Requires-Root: no
